# frozen_string_literal: true

require 'happymapper'
require_relative 'node'
require_relative 'identifier'
require_relative 'participant'

module ForwardCalendar
  class Company < Node
    include HappyMapper
    tag 'company'

    has_many :identifiers, Identifier, tag: 'identifier'
    has_many :participants, Participant, tag: 'participant'

    element :name, String, tag: 'companyName'
    element :is_public, Boolean, tag: 'isPublic'

    alias public? is_public
  end
end
