# frozen_string_literal: true

require 'happymapper'
require 'active_support/core_ext/string'

module ForwardCalendar
  module Helper
    class NormalizedString
      def self.parse(value)
        value.to_s.underscore.downcase
      end
    end
  end
end

HappyMapper::SupportedTypes.register_type(ForwardCalendar::Helper::NormalizedString) do |value|
  ForwardCalendar::Helper::NormalizedString.parse(value)
end
