# frozen_string_literal: true

require 'happymapper'
require 'active_support/time'

module ForwardCalendar
  module Helper
    class TimeAsUtc
      def self.parse(value)
        Time.find_zone('UTC').parse(value)
      end
    end
  end
end

HappyMapper::SupportedTypes.register_type(ForwardCalendar::Helper::TimeAsUtc) do |value|
  ForwardCalendar::Helper::TimeAsUtc.parse(value)
end
