# frozen_string_literal: true

require 'happymapper'
require_relative 'node'
require_relative './location_start_time'
require_relative './location_end_time'
require_relative './address'
require_relative './meeting_type'
require_relative './helper/normalized_string'

module ForwardCalendar
  class Location < Node
    include HappyMapper
    tag 'eventLocation'

    has_one :start_time, LocationStartTime, tag: 'locationStartTime', xpath: './'
    has_one :end_time, LocationEndTime, tag: 'locationEndTime', xpath: './'
    has_one :address, Address, tag: 'address', xpath: './'
    has_many :meeting_types_offered, MeetingType, tag: 'meetingType'

    element :id, Integer, tag: 'locationID'
    element :name, String, tag: 'locationEventName'
    element :status, Helper::NormalizedString, tag: 'locationStatus'
    element :start_date, Date, tag: 'locationStartDate'
    element :end_date, Date, tag: 'locationEndDate'
  end
end
