# frozen_string_literal: true

require 'happymapper'
require_relative 'node'
require_relative 'person'
require_relative './helper/normalized_string'

module ForwardCalendar
  class Participant < Node
    include HappyMapper
    tag 'participant'

    has_one :person, Person, tag: 'person'

    element :role, Helper::NormalizedString, tag: 'role'
  end
end
